package com.engine.salary.report.enums;


public enum PaymentStatusEnum {

    COMMON(0, "正常缴纳", 92265),
    REPAIR(1, "补缴", 92266),
    PAYMENT(2, "代缴", 121755),
    RECESSION(3, "退差", 134057),
    BALANCE(4, "补差", 139823);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    PaymentStatusEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
